import { BASE_PATH } from '../core/constants';

export class IconController {

  private name: string;
  private iconset: string;

  get iconUrl() {
    if (this.name) {
      if (this.iconset) {
        let iconPrefix = (this.iconset === 'pom') ? 'ICO_' : '';
        return `${BASE_PATH }icons/${this.iconset}/${iconPrefix}${this.name}.svg`;
      } else {
        return `${BASE_PATH }icons/icon54/${this.name}.svg`;
      }
    }
  }
}
